#NoTrayIcon
#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_UseUpx=n
#AutoIt3Wrapper_Change2CUI=y
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
#include <WinAPI.au3>

$slavePath = ""

If @OSArch = "X86" Then
	$slaveProg = "rcopy_slave.exe"
Else
	$slaveProg = "rcopy_slave_x64.exe"
EndIf

$slavePath = _WinAPI_PathFindOnPath($slaveProg, @WorkingDir)
If @error Then
	ConsoleWrite("Required program: " & $slaveProg & " not found!" & @CRLF)
	ConsoleWrite("For best results put rcopy.exe and " & $slaveProg & " in a folder in your PATH." & @CRLF)
	Exit
EndIf
$result = ShellExecuteWait($slavePath, $CmdLineRaw)
ConsoleWrite($result & " File(s) Copied")
